# In order to use unversioned python macros in the spec file, we need to
# explicitly define %%__python.
%global __python %{_bindir}/python3


Name:           ocpkg
Version:        0.6.9
Release:        1%{?dist}
Summary:        OpenCloudOS utility for working with dist-git
License:        GPLv2+
URL:            https://gitee.com/src-opencloudos-rpms/ocpkg
Source0:        %{url}/archive/%{version}/ocpkg-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
# BuildRequires:  python3-rpkg

Requires: python3-rpkg = 1.65
Requires: koji krb5-libs
Requires: libcurl-devel python3-devel openssl-devel


%description
Provides the ocpkg command for working with dist-git.


%prep
%autosetup -p 1


%build
%py3_build
# %%{__python} doc/centpkg_man_page.py > centpkg.1


%install
%py3_install
install -D -p -m 0644 src/ocpkg.conf     %{buildroot}%{_sysconfdir}/rpkg/ocpkg.conf
install -D -p -m 0644 src/ocpkg.bash     %{buildroot}%{_datadir}/bash-completion/completions/ocpkg
# install -D -p -m 0644 centpkg.1            %{buildroot}%{_mandir}/man1/centpkg.1


%files
%license COPYING
%doc README.md
%config(noreplace) %{_sysconfdir}/rpkg/ocpkg.conf
%{_bindir}/%{name}
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{_datadir}/bash-completion/completions/ocpkg


%changelog
* Fri Apr 12 2024 You shop <shopyou@tencent.com> - 0.6.9
- support oc9
* Tue Nov 14 2023 You shop <shopyou@opencloudos.tech> - 0.6.8
- fix bug
* Fri Sep 09 2022 Xun Zhong <invain@opencloudos.tech> - 0.6.6-3
- init
